package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;


@Getter
public enum ProductTypeEnum implements IntArrayValuable {

    Scenic(1, "景区"),
    Catering(2, "餐饮"),
    Goods(3, "商品"),
    Hotel(4, "住宿"),
    Traffic(5, "交通"),
    Router(6, "线路产品"),
    Custom(7, "定制游"),
    Multi_Days(8, "多日游");

    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ProductTypeEnum::getValue).toArray();

    public int[] array() {
        return ARRAYS;
    }

    ProductTypeEnum(Integer status, String name) {
        this.value = status;
        this.name = name;
    }
}